% 
% Copyright (c) 2010, 2014, IBM Corp. All rights reserved. 
% 		
% This program is free software: you can redistribute it and/or modify 
% it under the terms of the GNU General Public License as published by 
% the Free Software Foundation, either version 3 of the License, or 
% (at your option) any later version. 
%
% This program is distributed in the hope that it will be useful, 
% but WITHOUT ANY WARRANTY; without even the implied warranty of 
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
% GNU General Public License for more details. 
%
% You should have received a copy of the GNU General Public License 
% along with this program. If not, see <http://www.gnu.org/licenses/>. 
% 
% 
\name{idaDropModel}
\alias{idaDropModel}
\title{Drop a predictive model from the database}
\description{
Use this function to drop from the database a model that was created using the \code{\link{idaNaiveBayes}} 
or \code{\link{idaKMeans}} function.
}

\usage{
idaDropModel(modelname)
}

\arguments{
  \item{modelname}{The name of the predictive model to be dropped.}
}

%\seealso{\code{\link{idaTree}}, \code{\link{idaKMeans}} }

\examples{
\dontrun{

#Drop the model with the name MYTREEMODEL
idaDropModel("KMEANSMODEL");
}
}
